package de.avatic.lcc.util.exception.base;

public class InternalErrorException extends RuntimeException{

    String title;
    String message;


    public InternalErrorException(String message) {
        super(message);
        this.title = "Internal Error";
        this.message = message;
    }

    public InternalErrorException(String title, String message) {
        super(message);
        this.title = title;
        this.message = message;
    }

    public InternalErrorException(String message, Exception trace) {
        super(message, trace);
        this.title = "Internal Error";
        this.message = message;
    }

    public InternalErrorException(String title, String message, Exception trace) {
        super(message, trace);
        this.title = title;
        this.message = message;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
